| Haskell Hierarchical Libraries (time package) | Source code | Contents | Index

Data.Time.Calendar.MonthDay

Synopsis

monthAndDayToDayOfYear :: Bool -> Int -> Int -> Int
dayOfYearToMonthAndDay :: Bool -> Int -> (Int, Int)
monthLength :: Bool -> Int -> Int

Documentation
monthAndDayToDayOfYear :: Bool -> Int -> Int -> Int
convert month and day in the Gregorian or Julian calendars to day of year. First arg is leap year flag
dayOfYearToMonthAndDay :: Bool -> Int -> (Int, Int)
convert day of year in the Gregorian or Julian calendars to month and day. First arg is leap year flag
monthLength :: Bool -> Int -> Int
the length of a given month in the Gregorian or Julian calendars. First arg is leap year flag
Produced by Haddock version 0.8